Subject: Re: [PATCH net-next 2/2] bpf: add bpf_redirect() helper

From: Alexei Starovoitov <[email-masked]>
Date: Tue, 15 Sep 2015 21:11:39 -0700

On 9/15/15 8:10 PM, John Fastabend wrote:
> Nice, I like this. But just to be sure I read this correctly this will
> only work on the ingress qdisc for now right? To get the tx side working
> will require a bit more care.

correct.
For egress I'm waiting for Daniel to resubmit his preclassifier patch
and I'll hook this skb_do_redirect() there as well.
Other options are also possible, but preclassifier looks the best for
this purpose, since it's lockless.